-- generated code: do not change
module Task.Network.AreaOfATriangle where

import Bayes.Network
import Bayes.SVG

network :: Network ()
network = makeNetwork "AreaOfATriangle" [node_ ans1,node_ ans1Strat1Step1,node_ ans1Strat1Step2,node_ ans2,node_ ans2Strat1Step1,node_ ans2Strat1Step2,node_ ans3,node_ ans3Strat,node_ ans3Strat1Step1,node_ ans3Strat1Step2,node_ ans3Strat1Step3,node_ ans3Strat2Step1,node_ ans3Strat2Step2,node_ ans3Strat2Step3,node_ r1212_T08,node_ r1213_T08,node_ r12_T08,node_ r321_T08,node_ r3221_T08,node_ r3222_T08,node_ r323_T08,node_ r324_T08]

layout :: Layout
layout = [("Ans1",pt 118.0 279.0),("Ans1Strat1Step1",pt 205.0 98.0),("Ans2Strat1Step1",pt 473.0 92.0),("Ans3Strat2Step1",pt 476.0 377.0),("Ans2Strat1Step2",pt 473.0 207.0),("Ans3Strat1Step1",pt 207.0 384.0),("Ans3Strat",pt 323.0 445.0),("Ans1Strat1Step2",pt 208.0 206.0),("Ans3Strat2Step2",pt 475.0 492.0),("Ans3Strat2Step3",pt 483.0 599.0),("Ans3Strat1Step2",pt 205.0 497.0),("R323_T08",pt 49.0 546.0),("R324_T08",pt 54.0 653.0),("Ans2",pt 572.0 287.0),("Ans3",pt 336.0 689.0),("R3221_T08",pt 564.0 144.0),("Ans3Strat1Step3",pt 209.0 599.0),("R3222_T08",pt 54.0 134.0),("R1212_T08",pt 325.0 20.0),("R1213_T08",pt 329.0 159.0),("R12_T08",pt 58.0 401.0),("R321_T08",pt 592.0 425.0)]

ans1 :: Node Bool
ans1 = Node "AreaOfATriangle_Ans1" "Q1 Answer" [("Correct", True),("Incorrect", False)] ["AreaOfATriangle_Ans1Strat1Step2"] (CPT [0.95,5.0e-2,5.0e-2,0.95,0.5,0.5])

ans1Strat1Step1 :: Node (Maybe Bool)
ans1Strat1Step1 = Node "AreaOfATriangle_Ans1Strat1Step1" "10x/2" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] [] (CPT [0.5,0.5,0.0])

ans1Strat1Step2 :: Node (Maybe Bool)
ans1Strat1Step2 = Node "AreaOfATriangle_Ans1Strat1Step2" "Answer: \"5x\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["AreaOfATriangle_Ans1Strat1Step1"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans2 :: Node Bool
ans2 = Node "AreaOfATriangle_Ans2" "Q2 Answer" [("Correct", True),("Incorrect", False)] ["AreaOfATriangle_Ans2Strat1Step2"] (CPT [0.95,5.0e-2,5.0e-2,0.95,0.5,0.5])

ans2Strat1Step1 :: Node (Maybe Bool)
ans2Strat1Step1 = Node "AreaOfATriangle_Ans2Strat1Step1" "2(x+3)" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] [] (CPT [0.4,0.6,0.0])

ans2Strat1Step2 :: Node (Maybe Bool)
ans2Strat1Step2 = Node "AreaOfATriangle_Ans2Strat1Step2" "Answer: \"2x+6\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["AreaOfATriangle_Ans2Strat1Step1"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans3 :: Node Bool
ans3 = Node "AreaOfATriangle_Ans3" "Q3 Answer" [("Correct", True),("Incorrect", False)] ["AreaOfATriangle_Ans3Strat1Step3","AreaOfATriangle_Ans3Strat2Step3"] (NoisyMax [0,1,2,0,1,2] [0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,9.999999999999998e-2,0.9])

ans3Strat :: Node String
ans3Strat = Node "AreaOfATriangle_Ans3Strat" "Q3 Solution Strategy" [("Algebraic", "Algebraic"),("Numeric", "Numeric")] [] (CPT [0.72,0.28])

ans3Strat1Step1 :: Node (Maybe Bool)
ans3Strat1Step1 = Node "AreaOfATriangle_Ans3Strat1Step1" "5x=2x+6" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["AreaOfATriangle_Ans3Strat","AreaOfATriangle_Ans1Strat1Step2","AreaOfATriangle_Ans2Strat1Step2"] (CPT [0.695,0.295,1.0e-2,0.395,0.595,1.0e-2,0.5,0.4,0.1,0.395,0.595,1.0e-2,0.295,0.695,1.0e-2,0.4,0.5,0.1,0.5,0.4,0.1,0.4,0.5,0.1,0.4,0.4,0.2,9.0e-3,1.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,1.0e-3,9.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99])

ans3Strat1Step2 :: Node (Maybe Bool)
ans3Strat1Step2 = Node "AreaOfATriangle_Ans3Strat1Step2" "3x=6" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["AreaOfATriangle_Ans3Strat1Step1"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans3Strat1Step3 :: Node (Maybe Bool)
ans3Strat1Step3 = Node "AreaOfATriangle_Ans3Strat1Step3" "Answer: \"2\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["AreaOfATriangle_Ans3Strat1Step2"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans3Strat2Step1 :: Node (Maybe Bool)
ans3Strat2Step1 = Node "AreaOfATriangle_Ans3Strat2Step1" "Try <n> != 2" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["AreaOfATriangle_Ans3Strat","AreaOfATriangle_Ans1Strat1Step2","AreaOfATriangle_Ans2Strat1Step2"] (CPT [9.0e-3,1.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,1.0e-3,9.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,0.695,0.295,1.0e-2,0.395,0.595,1.0e-2,0.5,0.4,0.1,0.395,0.595,1.0e-2,0.295,0.695,1.0e-2,0.4,0.5,0.1,0.5,0.4,0.1,0.4,0.5,0.1,0.4,0.4,0.2])

ans3Strat2Step2 :: Node (Maybe Bool)
ans3Strat2Step2 = Node "AreaOfATriangle_Ans3Strat2Step2" "Try <n> == 2" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["AreaOfATriangle_Ans3Strat2Step1"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans3Strat2Step3 :: Node (Maybe Bool)
ans3Strat2Step3 = Node "AreaOfATriangle_Ans3Strat2Step3" "Answer: \"2\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["AreaOfATriangle_Ans3Strat2Step2"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

r1212_T08 :: Node Bool
r1212_T08 = Node "R1212_T08" "Set up geometric model" [("Yes", True),("No", False)] ["AreaOfATriangle_Ans1Strat1Step1","AreaOfATriangle_Ans2Strat1Step1"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.8,0.2,0.4,0.6,0.0,1.0,0.5,0.5])

r1213_T08 :: Node Bool
r1213_T08 = Node "R1213_T08" "Set up linear model" [("Yes", True),("No", False)] ["AreaOfATriangle_Ans1Strat1Step1","AreaOfATriangle_Ans2Strat1Step1"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.8,0.2,0.4,0.6,0.0,1.0,0.5,0.5])

r12_T08 :: Node Bool
r12_T08 = Node "R12_T08" "Set up algebraic equations" [("Yes", True),("No", False)] ["AreaOfATriangle_Ans3Strat1Step1"] (NoisyAdder [1,2] [1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

r321_T08 :: Node Bool
r321_T08 = Node "R321_T08" "Substitute" [("Yes", True),("No", False)] ["AreaOfATriangle_Ans3Strat2Step1","AreaOfATriangle_Ans3Strat2Step2"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

r3221_T08 :: Node Bool
r3221_T08 = Node "R3221_T08" "Expand expressions" [("Yes", True),("No", False)] ["AreaOfATriangle_Ans2Strat1Step2"] (NoisyAdder [1,2] [1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

r3222_T08 :: Node String
r3222_T08 = Node "R3222_T08" "Divide out common factors" [("Correctr", "Correctr"),("Incorrect", "Incorrect")] ["AreaOfATriangle_Ans1Strat1Step2"] (NoisyAdder [1,2] [1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

r323_T08 :: Node Bool
r323_T08 = Node "R323_T08" "Simplify by addition and subtraction" [("Yes", True),("No", False)] ["AreaOfATriangle_Ans3Strat1Step2"] (NoisyAdder [1,2] [1.0,0.1] [0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

r324_T08 :: Node Bool
r324_T08 = Node "R324_T08" "Simplify by multiplication and division" [("Yes", True),("No", False)] ["AreaOfATriangle_Ans3Strat1Step3"] (NoisyAdder [1,2] [1.0,0.1] [0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

