-- generated code: do not change
module Task.Network.StudentModel where

import Bayes.Network
import Bayes.SVG

network :: Network ()
network = makeNetwork "StudentModel" [node_ r,node_ r1,node_ r11,node_ r12,node_ r121,node_ r1211,node_ r1212,node_ r1213,node_ r1214,node_ r1215,node_ r13,node_ r3,node_ r31,node_ r32,node_ r321,node_ r322,node_ r3221,node_ r3222,node_ r3223,node_ r323,node_ r324]

layout :: Layout
layout = [("R1",pt 77.0 54.0),("R1211",pt 51.0 216.0),("R12",pt 168.0 113.0),("R13",pt 249.0 118.0),("R11",pt 58.0 118.0),("R3",pt 405.0 57.0),("R31",pt 408.0 120.0),("R32",pt 529.0 122.0),("R",pt 329.0 6.0),("R322",pt 459.0 191.0),("R3221",pt 400.0 265.0),("R323",pt 567.0 184.0),("R324",pt 675.0 184.0),("R321",pt 377.0 196.0),("R121",pt 157.0 192.0),("R1212",pt 64.0 261.0),("R1213",pt 152.0 265.0),("R1214",pt 224.0 260.0),("R1215",pt 298.0 233.0),("R3222",pt 496.0 262.0),("R3223",pt 618.0 268.0)]

r :: Node Bool
r = Node "R" "Relations" [("Yes", True),("No", False)] [] (CPT [0.5,0.5])

r1 :: Node Bool
r1 = Node "R1" "Set up expressions, equations and inequalities" [("Yes", True),("No", False)] ["R"] (CPT [0.6,0.4,0.4,0.6])

r11 :: Node Bool
r11 = Node "R11" "Set up numerical expressions" [("Yes", True),("No", False)] ["R1"] (CPT [0.6,0.4,0.4,0.6])

r12 :: Node Bool
r12 = Node "R12" "Set up algebraic equations" [("Yes", True),("No", False)] ["R1"] (CPT [0.6,0.4,0.4,0.6])

r121 :: Node Bool
r121 = Node "R121" "Set up algebraic expressions" [("Yes", True),("No", False)] ["R12"] (CPT [0.6,0.4,0.4,0.6])

r1211 :: Node Bool
r1211 = Node "R1211" "Choose variables" [("Yes", True),("No", False)] ["R121"] (CPT [0.6,0.4,0.4,0.6])

r1212 :: Node Bool
r1212 = Node "R1212" "Set up geometric model" [("Yes", True),("No", False)] ["R121"] (CPT [0.6,0.4,0.4,0.6])

r1213 :: Node Bool
r1213 = Node "R1213" "Set up linear model" [("Yes", True),("No", False)] ["R121"] (CPT [0.6,0.4,0.4,0.6])

r1214 :: Node Bool
r1214 = Node "R1214" "Set up quadratic model" [("Yes", True),("No", False)] ["R121"] (CPT [0.6,0.4,0.4,0.6])

r1215 :: Node Bool
r1215 = Node "R1215" "Set up exponential model" [("Yes", True),("No", False)] ["R121"] (CPT [0.6,0.4,0.4,0.6])

r13 :: Node Bool
r13 = Node "R13" "Set up algebraic inequalities" [("Yes", True),("No", False)] ["R1"] (CPT [0.6,0.4,0.4,0.6])

r3 :: Node Bool
r3 = Node "R3" "Simplify algebraic expressions and solve equations" [("Yes", True),("No", False)] ["R"] (CPT [0.6,0.4,0.4,0.6])

r31 :: Node Bool
r31 = Node "R31" "Use numerical expressions" [("Yes", True),("No", False)] ["R3"] (CPT [0.6,0.4,0.4,0.6])

r32 :: Node Bool
r32 = Node "R32" "Solve equations" [("Yes", True),("No", False)] ["R3"] (CPT [0.6,0.4,0.4,0.6])

r321 :: Node Bool
r321 = Node "R321" "Substitute" [("Yes", True),("No", False)] ["R32"] (CPT [0.6,0.4,0.4,0.6])

r322 :: Node Bool
r322 = Node "R322" "Simplify expressions" [("Yes", True),("No", False)] ["R32"] (CPT [0.6,0.4,0.4,0.6])

r3221 :: Node Bool
r3221 = Node "R3221" "Expand expressions" [("Yes", True),("No", False)] ["R322"] (CPT [0.6,0.4,0.4,0.6])

r3222 :: Node Bool
r3222 = Node "R3222" "Divide out common factors" [("Yes", True),("No", False)] ["R322"] (CPT [0.6,0.4,0.4,0.6])

r3223 :: Node Bool
r3223 = Node "R3223" "Combine like terms" [("Yes", True),("No", False)] ["R322"] (CPT [0.6,0.4,0.4,0.6])

r323 :: Node Bool
r323 = Node "R323" "Simplify by addition and subtraction" [("Yes", True),("No", False)] ["R32"] (CPT [0.6,0.4,0.4,0.6])

r324 :: Node Bool
r324 = Node "R324" "Simplify by multiplication and division" [("Yes", True),("No", False)] ["R32"] (CPT [0.6,0.4,0.4,0.6])

