-- generated code: do not change
module Task.Network.CarRental where

import Bayes.Network
import Bayes.SVG

network :: Network ()
network = makeNetwork "CarRental" [node_ ans1,node_ ans1Strat,node_ ans1Strat1Step1,node_ ans1Strat1Step2,node_ ans1Strat1Step31,node_ ans1Strat1Step32,node_ ans1Strat1Step3Path,node_ ans1Strat1Step41,node_ ans1Strat1Step42,node_ ans1Strat1Step51,node_ ans1Strat1Step52,node_ ans1Strat1Step6,node_ ans1Strat2Step1,node_ ans1Strat2Step2,node_ ans1Strat2Step3,node_ r11_T02,node_ r1211_T02,node_ r1213_T02,node_ r12_T02,node_ r13_T02,node_ r31_T02,node_ r323_T02,node_ r324_T02]

layout :: Layout
layout = [("Ans1",pt 509.0 760.0),("Ans1Strat1Step2",pt 245.0 207.0),("Ans1Strat1Step31",pt 67.0 331.0),("Ans1Strat1Step41",pt 66.0 444.0),("Ans1Strat1Step51",pt 67.0 557.0),("Ans1Strat",pt 439.0 39.0),("Ans1Strat2Step1",pt 800.0 163.0),("Ans1Strat2Step2",pt 803.0 310.0),("Ans1Strat1Step32",pt 433.0 333.0),("Ans1Strat1Step42",pt 436.0 430.0),("Ans1Strat1Step52",pt 436.0 531.0),("Ans1Strat1Step1",pt 247.0 105.0),("Ans1Strat1Step6",pt 243.0 694.0),("R1211_T02",pt 413.0 153.0),("R12_T02",pt 53.0 189.0),("R13_T02",pt 586.0 414.0),("R11_T02",pt 586.0 214.0),("R31_T02",pt 952.0 229.0),("R323_T02",pt 212.0 472.0),("R324_T02",pt 219.0 574.0),("R1213_T02",pt 60.0 101.0),("Ans1Strat2Step3",pt 804.0 423.0),("Ans1Strat1Step3Path",pt 245.0 292.0)]

ans1 :: Node Bool
ans1 = Node "CarRental_Ans1" "Final Answer" [("Correct", True),("Incorrect", False)] ["CarRental_Ans1Strat2Step3","CarRental_Ans1Strat1Step6"] (NoisyMax [0,1,2,0,1,2] [0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,9.999999999999998e-2,0.9])

ans1Strat :: Node String
ans1Strat = Node "CarRental_Ans1Strat" "Solution Strategy" [("Algebraic", "Algebraic"),("Numerical", "Numerical")] [] (CPT [0.79,0.21])

ans1Strat1Step1 :: Node (Maybe Bool)
ans1Strat1Step1 = Node "CarRental_Ans1Strat1Step1" "d: distance; c: cost" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat"] (CPT [0.595,0.395,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step2 :: Node (Maybe Bool)
ans1Strat1Step2 = Node "CarRental_Ans1Strat1Step2" "c=20+0.25*d" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat1Step1"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step31 :: Node (Maybe Bool)
ans1Strat1Step31 = Node "CarRental_Ans1Strat1Step31" "20+0.25*d=43" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat1Step2","CarRental_Ans1Strat1Step3Path"] (CPT [0.7,0.29,1.0e-2,5.0e-3,5.0e-3,0.99,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99])

ans1Strat1Step32 :: Node (Maybe Bool)
ans1Strat1Step32 = Node "CarRental_Ans1Strat1Step32" "20+0.25*d>43" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat1Step2","CarRental_Ans1Strat1Step3Path"] (CPT [5.0e-3,5.0e-3,0.99,0.6,0.39,1.0e-2,5.0e-3,5.0e-3,0.99,0.19,0.8,1.0e-2,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99])

ans1Strat1Step3Path :: Node String
ans1Strat1Step3Path = Node "CarRental_Ans1Strat1Step3Path" "Solution Path" [("Equation", "Equation"),("Inequality", "Inequality")] [] (CPT [0.6,0.4])

ans1Strat1Step41 :: Node (Maybe Bool)
ans1Strat1Step41 = Node "CarRental_Ans1Strat1Step41" "0.25*dt=23" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat1Step31"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step42 :: Node (Maybe Bool)
ans1Strat1Step42 = Node "CarRental_Ans1Strat1Step42" "0.25*d>23" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat1Step32"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step51 :: Node (Maybe Bool)
ans1Strat1Step51 = Node "CarRental_Ans1Strat1Step51" "d=92" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat1Step41"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step52 :: Node (Maybe Bool)
ans1Strat1Step52 = Node "CarRental_Ans1Strat1Step52" "d>92" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat1Step42"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step6 :: Node (Maybe Bool)
ans1Strat1Step6 = Node "CarRental_Ans1Strat1Step6" "Answer: \">=92\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat1Step52","CarRental_Ans1Strat1Step51"] (NoisyMax [0,1,2,0,1,2] [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,0.0,0.0,1.0,0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,0.0,0.0,1.0,4.999999999999449e-4,4.999999999999449e-4,0.999])

ans1Strat2Step1 :: Node (Maybe Bool)
ans1Strat2Step1 = Node "CarRental_Ans1Strat2Step1" "Try <n> != 92" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat"] (CPT [5.0e-3,5.0e-3,0.99,0.595,0.395,1.0e-2])

ans1Strat2Step2 :: Node (Maybe Bool)
ans1Strat2Step2 = Node "CarRental_Ans1Strat2Step2" "Try <n> == 92" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat2Step1"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat2Step3 :: Node (Maybe Bool)
ans1Strat2Step3 = Node "CarRental_Ans1Strat2Step3" "Answer: \">=92\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["CarRental_Ans1Strat2Step2"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

r11_T02 :: Node Bool
r11_T02 = Node "R11_T02" "Set up numerical expressions" [("Yes", True),("No", False)] ["CarRental_Ans1Strat2Step1","CarRental_Ans1Strat2Step2"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

r1211_T02 :: Node Bool
r1211_T02 = Node "R1211_T02" "Choose variables" [("Yes", True),("No", False)] ["CarRental_Ans1Strat1Step1"] (NoisyAdder [1,2] [1.0,0.1] [0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

r1213_T02 :: Node Bool
r1213_T02 = Node "R1213_T02" "Set up linear model" [("Yes", True),("No", False)] ["CarRental_Ans1Strat1Step2"] (NoisyAdder [1,2] [1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

r12_T02 :: Node Bool
r12_T02 = Node "R12_T02" "Set up algebraic equations" [("Yes", True),("No", False)] ["CarRental_Ans1Strat1Step31"] (NoisyAdder [1,2] [1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

r13_T02 :: Node Bool
r13_T02 = Node "R13_T02" "Set up algebraic inequalities" [("Yes", True),("No", False)] ["CarRental_Ans1Strat1Step32"] (NoisyAdder [1,2] [1.0,0.1] [0.8,0.2,0.4,0.6,0.0,1.0,0.5,0.5])

r31_T02 :: Node Bool
r31_T02 = Node "R31_T02" "Use numerical expressions" [("Yes", True),("No", False)] ["CarRental_Ans1Strat2Step2","CarRental_Ans1Strat2Step1"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

r323_T02 :: Node Bool
r323_T02 = Node "R323_T02" "Simplify by addition and subtraction" [("Yes", True),("No", False)] ["CarRental_Ans1Strat1Step41","CarRental_Ans1Strat1Step42"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

r324_T02 :: Node Bool
r324_T02 = Node "R324_T02" "Simplify by multiplication and division" [("Yes", True),("No", False)] ["CarRental_Ans1Strat1Step51","CarRental_Ans1Strat1Step52"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

