-- generated code: do not change
module Task.Network.MakingASquare where

import Bayes.Network
import Bayes.SVG

network :: Network ()
network = makeNetwork "MakingASquare" [node_ ans1,node_ ans1Strat,node_ ans1Strat1Step1,node_ ans1Strat1Step2,node_ ans1Strat1Step3,node_ ans1Strat1Step4,node_ ans1Strat1Step5,node_ ans1Strat1Step6,node_ ans1Strat2Step1,node_ ans1Strat2Step2,node_ ans1Strat2Step3,node_ r1212_T04,node_ r1214_T04,node_ r3221_T04,node_ r3223_T04]

layout :: Layout
layout = [("Ans1",pt 357.0 622.0),("Ans1Strat1Step1",pt 136.0 83.0),("Ans1Strat1Step2",pt 132.0 178.0),("Ans1Strat",pt 329.0 19.0),("Ans1Strat2Step1",pt 503.0 172.0),("Ans1Strat2Step2",pt 500.0 321.0),("Ans1Strat1Step3",pt 134.0 273.0),("Ans1Strat1Step4",pt 138.0 368.0),("Ans1Strat1Step5",pt 141.0 457.0),("Ans1Strat1Step6",pt 139.0 549.0),("Ans1Strat2Step3",pt 505.0 447.0),("R3221_T04",pt 311.0 396.0),("R1212_T04",pt 310.0 102.0),("R1214_T04",pt 313.0 233.0),("R3223_T04",pt 309.0 515.0)]

ans1 :: Node Bool
ans1 = Node "MakingASquare_Ans1" "Final Answer" [("Correct", True),("Incorrect", False)] ["MakingASquare_Ans1Strat1Step6","MakingASquare_Ans1Strat2Step3"] (NoisyMax [0,1,2,0,1,2] [0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,9.999999999999998e-2,0.9])

ans1Strat :: Node String
ans1Strat = Node "MakingASquare_Ans1Strat" "Solution Strategy" [("Algebraic1", "Algebraic1"),("Algebraic2", "Algebraic2")] [] (CPT [0.37,0.63])

ans1Strat1Step1 :: Node (Maybe Bool)
ans1Strat1Step1 = Node "MakingASquare_Ans1Strat1Step1" "area of a triangle: a*b/2" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["MakingASquare_Ans1Strat"] (CPT [0.495,0.495,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step2 :: Node (Maybe Bool)
ans1Strat1Step2 = Node "MakingASquare_Ans1Strat1Step2" "side of a small square: b-a" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["MakingASquare_Ans1Strat1Step1"] (CPT [0.6,0.39,1.0e-2,0.19,0.8,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step3 :: Node (Maybe Bool)
ans1Strat1Step3 = Node "MakingASquare_Ans1Strat1Step3" "area of a small square: (b-a)^2" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["MakingASquare_Ans1Strat1Step2"] (CPT [0.6,0.39,1.0e-2,0.19,0.8,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step4 :: Node (Maybe Bool)
ans1Strat1Step4 = Node "MakingASquare_Ans1Strat1Step4" "area of a large square: 4*a*b/2+(b-a)^2" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["MakingASquare_Ans1Strat1Step3"] (CPT [0.6,0.39,1.0e-2,0.19,0.8,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step5 :: Node (Maybe Bool)
ans1Strat1Step5 = Node "MakingASquare_Ans1Strat1Step5" "2ab+b^2 - 2ab +a^2" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["MakingASquare_Ans1Strat1Step4"] (CPT [0.6,0.39,1.0e-2,0.19,0.8,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat1Step6 :: Node (Maybe Bool)
ans1Strat1Step6 = Node "MakingASquare_Ans1Strat1Step6" "Answer:\" b^2 + a^2\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["MakingASquare_Ans1Strat1Step5"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat2Step1 :: Node (Maybe Bool)
ans1Strat2Step1 = Node "MakingASquare_Ans1Strat2Step1" "hypotenuse: sqrt(a^2+b^2)" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["MakingASquare_Ans1Strat"] (CPT [5.0e-3,5.0e-3,0.99,0.495,0.495,1.0e-2])

ans1Strat2Step2 :: Node (Maybe Bool)
ans1Strat2Step2 = Node "MakingASquare_Ans1Strat2Step2" "area of a large square: hypotenuse^2" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["MakingASquare_Ans1Strat2Step1"] (CPT [0.6,0.39,1.0e-2,0.19,0.8,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat2Step3 :: Node (Maybe Bool)
ans1Strat2Step3 = Node "MakingASquare_Ans1Strat2Step3" "Answer: \"b^2 + a^2\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["MakingASquare_Ans1Strat2Step2"] (CPT [0.6,0.39,1.0e-2,0.19,0.8,1.0e-2,5.0e-3,5.0e-3,0.99])

r1212_T04 :: Node Bool
r1212_T04 = Node "R1212_T04" "Set up geometric model" [("Yes", True),("No", False)] ["MakingASquare_Ans1Strat2Step2","MakingASquare_Ans1Strat2Step1","MakingASquare_Ans1Strat1Step4","MakingASquare_Ans1Strat1Step3","MakingASquare_Ans1Strat1Step2","MakingASquare_Ans1Strat1Step1"] (NoisyAdder [1,2,2,2,2,2,2] [1.0,1.0,1.0,1.0,1.0,1.0,0.1] [0.8,0.2,0.4,0.6,0.0,1.0,0.7,0.3,0.3,0.7,0.0,1.0,0.8,0.2,0.4,0.6,0.0,1.0,0.8,0.2,0.4,0.6,0.0,1.0,0.8,0.2,0.4,0.6,0.0,1.0,0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

r1214_T04 :: Node Bool
r1214_T04 = Node "R1214_T04" "Set up quadratic model" [("Yes", True),("No", False)] ["MakingASquare_Ans1Strat1Step1","MakingASquare_Ans1Strat1Step3","MakingASquare_Ans1Strat2Step2"] (NoisyAdder [1,2,2,2] [1.0,1.0,1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.8,0.2,0.4,0.6,0.0,1.0,0.8,0.2,0.4,0.6,0.0,1.0,0.5,0.5])

r3221_T04 :: Node Bool
r3221_T04 = Node "R3221_T04" "Expand expressions" [("Yes", True),("No", False)] ["MakingASquare_Ans1Strat1Step5"] (NoisyAdder [1,2] [1.0,0.1] [0.8,0.2,0.4,0.6,0.0,1.0,0.5,0.5])

r3223_T04 :: Node Bool
r3223_T04 = Node "R3223_T04" "Combine like terms" [("Yes", True),("No", False)] ["MakingASquare_Ans1Strat1Step6"] (NoisyAdder [1,2] [1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

