-- generated code: do not change
module Task.Network.RectangleArea where

import Bayes.Network
import Bayes.SVG

network :: Network ()
network = makeNetwork "RectangleArea" [node_ r1212_T02,node_ r1214_T02,node_ r12_T02,node_ r3221_T02,node_ ans1,node_ ans1Strat1Step1,node_ ans2,node_ ans2Strat1Step11,node_ ans2Strat1Step12,node_ ans2Strat1Step13,node_ ans2Strat1Step14,node_ ans2Strat1Step2,node_ ans3,node_ ans3Strat1Step1]

layout :: Layout
layout = [("Ans1",pt 24.0 119.0),("Ans2Strat1Step11",pt 296.0 82.0),("Ans2Strat1Step12",pt 406.0 81.0),("Ans1Strat1Step1",pt 145.0 45.0),("Ans2Strat1Step13",pt 524.0 81.0),("Ans3Strat1Step1",pt 365.0 282.0),("Ans2Strat1Step14",pt 650.0 81.0),("R1212_T02",pt 145.0 183.0),("R1214_T02",pt 384.0 161.0),("R3221_T02",pt 541.0 361.0),("R12_T02",pt 124.0 305.0),("Ans2",pt 689.0 280.0),("Ans3",pt 344.0 364.0),("Ans2Strat1Step2",pt 593.0 209.0)]

r1212_T02 :: Node Bool
r1212_T02 = Node "R1212_T02" "Set up geometric model" [("Yes", True),("No", False)] ["RectangleArea_Ans1Strat1Step1","RectangleArea_Ans2Strat1Step11","RectangleArea_Ans2Strat1Step12","RectangleArea_Ans2Strat1Step13","RectangleArea_Ans2Strat1Step14"] (NoisyAdder [1,1,1,1,1,1] [2.0,1.0,0.5,1.0,0.5,0.1] [0.3,0.7,0.0,1.0,0.7,0.3,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.5,0.5])

r1214_T02 :: Node Bool
r1214_T02 = Node "R1214_T02" "Set up quadratic model" [("Yes", True),("No", False)] ["RectangleArea_Ans1Strat1Step1","RectangleArea_Ans2Strat1Step11","RectangleArea_Ans2Strat1Step12","RectangleArea_Ans2Strat1Step13","RectangleArea_Ans2Strat1Step14"] (NoisyAdder [1,1,1,1,1,1] [2.0,1.0,0.5,1.0,0.5,0.1] [0.3,0.7,0.0,1.0,0.7,0.3,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.5,0.5])

r12_T02 :: Node Bool
r12_T02 = Node "R12_T02" "Set up algebraic equations" [("Yes", True),("No", False)] ["RectangleArea_Ans3Strat1Step1"] (NoisyAdder [1,1] [1.0,0.1] [0.3,0.7,0.0,1.0,0.7,0.3,0.5,0.5])

r3221_T02 :: Node Bool
r3221_T02 = Node "R3221_T02" "Expand expressions" [("Yes", True),("No", False)] ["RectangleArea_Ans3Strat1Step1"] (NoisyAdder [1,1] [1.0,0.1] [0.3,0.7,0.0,1.0,0.7,0.3,0.5,0.5])

ans1 :: Node Bool
ans1 = Node "RectangleArea_Ans1" "Q1 Answer" [("Correct", True),("Incorrect", False)] ["RectangleArea_Ans1Strat1Step1"] (CPT [5.0e-2,0.95,0.5,0.5,0.95,5.0e-2])

ans1Strat1Step1 :: Node (Maybe Bool)
ans1Strat1Step1 = Node "RectangleArea_Ans1Strat1Step1" "Answer: \"(a+5)(a+b)\"" [("Incorrect", Just False),("Not_taken", Nothing),("Correct", Just True)] [] (CPT [0.395,1.0e-2,0.595])

ans2 :: Node Bool
ans2 = Node "RectangleArea_Ans2" "Q2 Answer" [("Correct", True),("Incorrect", False)] ["RectangleArea_Ans2Strat1Step2"] (CPT [5.0e-2,0.95,0.5,0.5,0.95,5.0e-2])

ans2Strat1Step11 :: Node (Maybe Bool)
ans2Strat1Step11 = Node "RectangleArea_Ans2Strat1Step11" "a^2" [("Incorrect", Just False),("Not_taken", Nothing),("Correct", Just True)] [] (CPT [0.29,1.0e-2,0.7])

ans2Strat1Step12 :: Node (Maybe Bool)
ans2Strat1Step12 = Node "RectangleArea_Ans2Strat1Step12" "5a" [("Incorrect", Just False),("Not_taken", Nothing),("Correct", Just True)] [] (CPT [0.29,1.0e-2,0.7])

ans2Strat1Step13 :: Node (Maybe Bool)
ans2Strat1Step13 = Node "RectangleArea_Ans2Strat1Step13" "ab" [("Incorrect", Just False),("Not_taken", Nothing),("Correct", Just True)] [] (CPT [0.29,1.0e-2,0.7])

ans2Strat1Step14 :: Node (Maybe Bool)
ans2Strat1Step14 = Node "RectangleArea_Ans2Strat1Step14" "5b" [("Incorrect", Just False),("Not_taken", Nothing),("Correct", Just True)] [] (CPT [0.29,1.0e-2,0.7])

ans2Strat1Step2 :: Node (Maybe Bool)
ans2Strat1Step2 = Node "RectangleArea_Ans2Strat1Step2" "Answer: \"a^2+5a+ab+5b\"" [("Incorrect", Just False),("Not_taken", Nothing),("Correct", Just True)] ["RectangleArea_Ans2Strat1Step11","RectangleArea_Ans2Strat1Step12","RectangleArea_Ans2Strat1Step13","RectangleArea_Ans2Strat1Step14"] (NoisyMax [0,1,2,0,1,2,0,1,2,0,1,2] [0.6499999999999999,1.000000000000001e-2,0.34,0.2999999999999998,0.4000000000000001,0.3,0.0,0.0,1.0,0.6499999999999999,1.000000000000001e-2,0.34,0.2999999999999998,0.4000000000000001,0.3,0.0,0.0,1.0,0.6499999999999999,1.000000000000001e-2,0.34,0.2999999999999998,0.4000000000000001,0.3,0.0,0.0,1.0,0.6499999999999999,1.000000000000001e-2,0.34,0.2999999999999998,0.4000000000000001,0.3,0.0,0.0,1.0,9.00000000000345e-5,9.99999999995449e-6,0.9999])

ans3 :: Node Bool
ans3 = Node "RectangleArea_Ans3" "Q3 Answer" [("Correct", True),("Incorrect", False)] ["RectangleArea_Ans3Strat1Step1"] (CPT [5.0e-2,0.95,0.5,0.5,0.95,5.0e-2])

ans3Strat1Step1 :: Node (Maybe Bool)
ans3Strat1Step1 = Node "RectangleArea_Ans3Strat1Step1" "Answer: \"(a+5)(a+b)=a^2+5a+ab+5b\"" [("Incorrect", Just False),("Not_taken", Nothing),("Correct", Just True)] ["RectangleArea_Ans2Strat1Step2","RectangleArea_Ans1Strat1Step1"] (NoisyMax [0,1,2,0,1,2] [0.6499999999999999,1.000000000000001e-2,0.34,0.2999999999999998,0.4,0.3,0.0,0.0,1.0,0.6499999999999999,1.000000000000001e-2,0.34,0.2999999999999998,0.4,0.3,0.0,0.0,1.0,9.000000000000119e-4,9.999999999998899e-5,0.999])

