-- generated code: do not change
module Task.Network.TheatreRate where

import Bayes.Network
import Bayes.SVG

network :: Network ()
network = makeNetwork "TheatreRate" [node_ r1211_T06,node_ r1213_T06,node_ r121_T06,node_ r12_T06,node_ r13_T06,node_ r31_T06,node_ r323_T06,node_ r324_T06,node_ ans2,node_ ans2Strat,node_ ans2Strat1Step1,node_ ans2Strat1Step21,node_ ans2Strat1Step22,node_ ans2Strat1Step3,node_ ans2Strat1Step41,node_ ans2Strat1Step42,node_ ans2Strat1Step4Path,node_ ans2Strat1Step51,node_ ans2Strat1Step52,node_ ans2Strat1Step61,node_ ans2Strat1Step62,node_ ans2Strat1Step7,node_ ans2Strat2Step1,node_ ans2Strat2Step2,node_ ans2Strat2Step3]

layout :: Layout
layout = [("Ans2Strat1Step21",pt 47.0 209.0),("Ans2Strat2Step1",pt 536.0 102.0),("Ans2Strat1Step22",pt 342.0 206.0),("Ans2Strat1Step42",pt 345.0 371.0),("Ans2Strat1Step52",pt 348.0 479.0),("Ans2Strat1Step62",pt 342.0 596.0),("Ans2Strat2Step2",pt 541.0 390.0),("Ans2Strat2Step3",pt 538.0 699.0),("Ans2",pt 343.0 758.0),("Ans2Strat1Step1",pt 188.0 102.0),("R1211_T06",pt 372.0 132.0),("R1213_T06",pt 190.0 197.0),("Ans2Strat1Step41",pt 50.0 365.0),("Ans2Strat1Step7",pt 197.0 705.0),("Ans2Strat1Step51",pt 48.0 472.0),("Ans2Strat1Step61",pt 46.0 579.0),("R12_T06",pt 187.0 430.0),("R13_T06",pt 451.0 452.0),("R323_T06",pt 181.0 509.0),("R324_T06",pt 182.0 587.0),("Ans2Strat",pt 360.0 14.0),("R31_T06",pt 580.0 208.0),("R121_T06",pt 443.0 206.0),("Ans2Strat1Step4Path",pt 202.0 365.0),("Ans2Strat1Step3",pt 201.0 287.0)]

r1211_T06 :: Node Bool
r1211_T06 = Node "R1211_T06" "Choose variables" [("Yes", True),("No", False)] ["TheatreRate_Ans2Strat1Step1"] (NoisyAdder [1,2] [1.0,0.1] [0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

r1213_T06 :: Node Bool
r1213_T06 = Node "R1213_T06" "Set up linear model" [("Yes", True),("No", False)] ["TheatreRate_Ans2Strat1Step21","TheatreRate_Ans2Strat1Step22"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

r121_T06 :: Node String
r121_T06 = Node "R121_T06" "Set up numerical expressions" [("State0", "State0"),("State1", "State1")] ["TheatreRate_Ans2Strat2Step1","TheatreRate_Ans2Strat2Step2"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

r12_T06 :: Node Bool
r12_T06 = Node "R12_T06" "Set up algebraic equations" [("Yes", True),("No", False)] ["TheatreRate_Ans2Strat1Step41"] (NoisyAdder [1,2] [1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

r13_T06 :: Node Bool
r13_T06 = Node "R13_T06" "Set up algebraic inequalities" [("Yes", True),("No", False)] ["TheatreRate_Ans2Strat1Step42"] (NoisyAdder [1,2] [1.0,0.1] [0.8,0.2,0.4,0.6,0.0,1.0,0.5,0.5])

r31_T06 :: Node String
r31_T06 = Node "R31_T06" "Use numerical expressions" [("State0", "State0"),("State1", "State1")] ["TheatreRate_Ans2Strat2Step1","TheatreRate_Ans2Strat2Step2"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

r323_T06 :: Node Bool
r323_T06 = Node "R323_T06" "Simplify by addition and subtraction" [("Yes", True),("No", False)] ["TheatreRate_Ans2Strat1Step51","TheatreRate_Ans2Strat1Step52"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.6,0.4,0.2,0.8,0.0,1.0,0.8,0.2,0.4,0.6,0.0,1.0,0.5,0.5])

r324_T06 :: Node Bool
r324_T06 = Node "R324_T06" "Simplify by multiplication and division" [("Yes", True),("No", False)] ["TheatreRate_Ans2Strat1Step61","TheatreRate_Ans2Strat1Step62"] (NoisyAdder [1,2,2] [1.0,1.0,0.1] [0.6,0.4,0.2,0.8,0.0,1.0,0.6,0.4,0.2,0.8,0.0,1.0,0.5,0.5])

ans2 :: Node Bool
ans2 = Node "TheatreRate_Ans2" "Q2 Answer" [("Correct", True),("Incorrect", False)] ["TheatreRate_Ans2Strat2Step3","TheatreRate_Ans2Strat1Step7"] (NoisyMax [0,1,2,0,1,2] [0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,9.999999999999998e-2,0.9])

ans2Strat :: Node String
ans2Strat = Node "TheatreRate_Ans2Strat" "Q2 Solution Strategy" [("Algebraic", "Algebraic"),("Numeric", "Numeric")] [] (CPT [0.71,0.29])

ans2Strat1Step1 :: Node (Maybe Bool)
ans2Strat1Step1 = Node "TheatreRate_Ans2Strat1Step1" "n - number of shows; p - price" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat"] (CPT [0.595,0.395,1.0e-2,5.0e-3,5.0e-3,0.99])

ans2Strat1Step21 :: Node (Maybe Bool)
ans2Strat1Step21 = Node "TheatreRate_Ans2Strat1Step21" "R1: p=30+4s" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat1Step1"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans2Strat1Step22 :: Node (Maybe Bool)
ans2Strat1Step22 = Node "TheatreRate_Ans2Strat1Step22" "R2: p=8s" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat1Step1"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans2Strat1Step3 :: Node (Maybe Bool)
ans2Strat1Step3 = Node "TheatreRate_Ans2Strat1Step3" "p=30+4s ? 8s" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat1Step21","TheatreRate_Ans2Strat1Step22"] (CPT [0.9,9.5e-2,5.0e-3,9.5e-2,0.9,5.0e-3,5.0e-3,5.0e-3,0.99,9.5e-2,0.9,5.0e-3,4.5e-2,0.95,5.0e-3,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99])

ans2Strat1Step41 :: Node (Maybe Bool)
ans2Strat1Step41 = Node "TheatreRate_Ans2Strat1Step41" "30+4s = 8s" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat1Step3","TheatreRate_Ans2Strat1Step4Path"] (CPT [0.7,0.29,1.0e-2,5.0e-3,5.0e-3,0.99,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99])

ans2Strat1Step42 :: Node (Maybe Bool)
ans2Strat1Step42 = Node "TheatreRate_Ans2Strat1Step42" "30+4s < 8s" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat1Step3","TheatreRate_Ans2Strat1Step4Path"] (CPT [5.0e-3,5.0e-3,0.99,0.6,0.39,1.0e-2,5.0e-3,5.0e-3,0.99,0.19,0.8,1.0e-2,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99])

ans2Strat1Step4Path :: Node String
ans2Strat1Step4Path = Node "TheatreRate_Ans2Strat1Step4Path" "Solution Path" [("Equation", "Equation"),("Inequality", "Inequality")] [] (CPT [0.71,0.29])

ans2Strat1Step51 :: Node (Maybe Bool)
ans2Strat1Step51 = Node "TheatreRate_Ans2Strat1Step51" "4s = 30" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat1Step41"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans2Strat1Step52 :: Node (Maybe Bool)
ans2Strat1Step52 = Node "TheatreRate_Ans2Strat1Step52" "4s > 30" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat1Step42"] (CPT [0.6,0.39,1.0e-2,0.19,0.8,1.0e-2,5.0e-3,5.0e-3,0.99])

ans2Strat1Step61 :: Node (Maybe Bool)
ans2Strat1Step61 = Node "TheatreRate_Ans2Strat1Step61" "s=7,5" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat1Step51"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans2Strat1Step62 :: Node (Maybe Bool)
ans2Strat1Step62 = Node "TheatreRate_Ans2Strat1Step62" "s > 7,5" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat1Step52"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

ans2Strat1Step7 :: Node (Maybe Bool)
ans2Strat1Step7 = Node "TheatreRate_Ans2Strat1Step7" "Answer: \"8\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat1Step61","TheatreRate_Ans2Strat1Step62"] (NoisyMax [0,1,2,0,1,2] [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,0.0,0.0,1.0,0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,0.0,0.0,1.0,4.999999999999449e-4,4.999999999999449e-4,0.999])

ans2Strat2Step1 :: Node (Maybe Bool)
ans2Strat2Step1 = Node "TheatreRate_Ans2Strat2Step1" "Try <n> != 8" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat"] (CPT [5.0e-3,5.0e-3,0.99,0.495,0.495,1.0e-2])

ans2Strat2Step2 :: Node (Maybe Bool)
ans2Strat2Step2 = Node "TheatreRate_Ans2Strat2Step2" "Try <n> == 8" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat2Step1"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans2Strat2Step3 :: Node (Maybe Bool)
ans2Strat2Step3 = Node "TheatreRate_Ans2Strat2Step3" "Answer: \"8\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["TheatreRate_Ans2Strat2Step2"] (CPT [0.8,0.19,1.0e-2,0.39,0.6,1.0e-2,5.0e-3,5.0e-3,0.99])

