-- generated code: do not change
module Task.Network.VPattern where

import Bayes.Network
import Bayes.SVG

network :: Network ()
network = makeNetwork "VPattern" [node_ r1213_T07,node_ r3221_T08,node_ ans1,node_ ans1Strat,node_ ans1Strat1Step1,node_ ans1Strat1Step2,node_ ans1Strat2Step1,node_ ans1Strat2Step2,node_ ans1Strat3Step1,node_ ans1Strat3Step2,node_ ans1Strat3Step3,node_ ans1Strat3Step4,node_ ans1Strat4Step1,node_ ans1Strat4Step2,node_ ans1Strat4Step3]

layout :: Layout
layout = [("Ans1",pt 291.0 569.0),("Ans1Strat1Step1",pt 79.0 286.0),("Ans1Strat1Step2",pt 76.0 405.0),("Ans1Strat",pt 311.0 65.0),("Ans1Strat2Step1",pt 235.0 289.0),("Ans1Strat2Step2",pt 234.0 396.0),("Ans1Strat3Step1",pt 371.0 162.0),("Ans1Strat3Step2",pt 373.0 262.0),("Ans1Strat3Step3",pt 369.0 360.0),("Ans1Strat3Step4",pt 369.0 460.0),("R1213_T07",pt 108.0 518.0),("R3221_T08",pt 490.0 530.0),("Ans1Strat4Step1",pt 516.0 162.0),("Ans1Strat4Step3",pt 520.0 441.0),("Ans1Strat4Step2",pt 517.0 291.0)]

r1213_T07 :: Node Bool
r1213_T07 = Node "R1213_T07" "Set up linear model" [("Yes", True),("No", False)] ["VPattern_Ans1Strat1Step2","VPattern_Ans1Strat2Step2","VPattern_Ans1Strat3Step3","VPattern_Ans1Strat4Step3"] (NoisyAdder [1,2,2,2,2] [1.0,1.0,1.0,1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.7,0.3,0.3,0.7,0.0,1.0,0.8,0.2,0.4,0.6,0.0,1.0,0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

r3221_T08 :: Node Bool
r3221_T08 = Node "R3221_T08" "Expand expressions" [("Yes", True),("No", False)] ["VPattern_Ans1Strat3Step4"] (NoisyAdder [1,2] [1.0,0.1] [0.7,0.3,0.3,0.7,0.0,1.0,0.5,0.5])

ans1 :: Node Bool
ans1 = Node "VPattern_Ans1" "Final Answer" [("Correct", True),("Incorrect", False)] ["VPattern_Ans1Strat1Step2","VPattern_Ans1Strat2Step2","VPattern_Ans1Strat3Step4","VPattern_Ans1Strat4Step3"] (NoisyMax [0,1,2,0,1,2,0,1,2,0,1,2] [0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,0.8,0.2,9.999999999999998e-2,0.9,0.0,1.0,6.999999999999995e-2,0.93])

ans1Strat :: Node String
ans1Strat = Node "VPattern_Ans1Strat" "Solution Strategy" [("Algebraic1", "Algebraic1"),("Algebraic2", "Algebraic2"),("Algebraic3", "Algebraic3"),("Algebraic4", "Algebraic4")] [] (CPT [0.37,0.37,0.12,0.14])

ans1Strat1Step1 :: Node (Maybe Bool)
ans1Strat1Step1 = Node "VPattern_Ans1Strat1Step1" "center:1 + side:R + side:R" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat"] (CPT [0.495,0.495,1.0e-2,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99])

ans1Strat1Step2 :: Node (Maybe Bool)
ans1Strat1Step2 = Node "VPattern_Ans1Strat1Step2" "Answer: \"N=1+2R\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat1Step1"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat2Step1 :: Node (Maybe Bool)
ans1Strat2Step1 = Node "VPattern_Ans1Strat2Step1" "side1: R + side2: R+1" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat"] (CPT [5.0e-3,5.0e-3,0.99,0.495,0.495,1.0e-2,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99])

ans1Strat2Step2 :: Node (Maybe Bool)
ans1Strat2Step2 = Node "VPattern_Ans1Strat2Step2" "Answer: \"N=1+2R\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat2Step1"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat3Step1 :: Node (Maybe Bool)
ans1Strat3Step1 = Node "VPattern_Ans1Strat3Step1" "step1: 3 dots" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat"] (CPT [5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,0.595,0.395,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat3Step2 :: Node (Maybe Bool)
ans1Strat3Step2 = Node "VPattern_Ans1Strat3Step2" "stepR: 2*(R-1) dots" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat3Step1"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat3Step3 :: Node (Maybe Bool)
ans1Strat3Step3 = Node "VPattern_Ans1Strat3Step3" "N=3+2(R-1)" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat3Step2"] (CPT [0.6,0.39,1.0e-2,0.19,0.8,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat3Step4 :: Node (Maybe Bool)
ans1Strat3Step4 = Node "VPattern_Ans1Strat3Step4" "Answer: \"N=1+2R\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat3Step3"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat4Step1 :: Node (Maybe Bool)
ans1Strat4Step1 = Node "VPattern_Ans1Strat4Step1" "step0: 1 dot" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat"] (CPT [5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,5.0e-3,5.0e-3,0.99,0.495,0.495,1.0e-2])

ans1Strat4Step2 :: Node (Maybe Bool)
ans1Strat4Step2 = Node "VPattern_Ans1Strat4Step2" "step: +2 dots" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat4Step1"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

ans1Strat4Step3 :: Node (Maybe Bool)
ans1Strat4Step3 = Node "VPattern_Ans1Strat4Step3" "Answer: \"N=1+2R\"" [("Correct", Just True),("Incorrect", Just False),("Not_taken", Nothing)] ["VPattern_Ans1Strat4Step2"] (CPT [0.7,0.29,1.0e-2,0.29,0.7,1.0e-2,5.0e-3,5.0e-3,0.99])

